Summary: 	Klogic is a digital circuit simulation.
Name:   	klogic
Version: 	1.35
Release: 	1mdk

Source0: 	%{name}-%{version}.tar.bz2

License:  	GPL
Group: 		Sciences/Other
BuildRequires:	kdelibs-devel libjpeg-devel XFree86-devel
BuildRoot: 	%_tmppath/%name-%version-%release-root

%description
Klogic is a digital circuit simulation.

%prep

%setup  -q

%build
# Laurent MONTEL 2001-04-14 --enable-final doesn't work

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt2\
		    --disable-rpath \
		    --disable-debug 

%install
make install prefix=%buildroot/%_prefix

install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_bindir/klogic" \
title="Klogic" \
icon="%{name}.png" \
longtitle="A digital circuit simulation" \
needs="kde" \
section="Applications/Sciences/Other"
EOF

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files
%defattr(-,root,root)
%_bindir/*

%dir %_datadir/apps/klogic/
%dir %_datadir/apps/klogic/toolbar
%dir %_datadir/apps/klogic/pics
%_datadir/apps/klogic/*.rc
%_datadir/apps/klogic/toolbar/*.xpm
%_datadir/apps/klogic/pics/*.xpm
%dir %_datadir/doc/HTML/en/klogic/
%doc %_datadir/doc/HTML/en/klogic/*.docbook
%doc %_datadir/doc/HTML/en/klogic/common

%_menudir/*

%changelog
* Mon Feb 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.35-1mdk
- Update code (1.35)

* Sun Jan 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.34-2mdk
- fix group

* Sun Jan 13 2002 aurent MONTEL <lmontel@mandrakesoft.com> 1.34-1mdk
- update code (1.34)

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.22-6mdk
- BuildRequires revisited

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-5mdk
- Rebuild Against libpng3

* Thu Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-4mdk
- Rebuild with new kdelibs and fix menu entry

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-3mdk
- Rebuild with new kdelibs

* Fri Jul 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-2mdk
- rebuild

* Sat Apr 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-1mdk
- Initial package

